> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/88.-mutation-esporta-zonesmap-come-shapefile-compresso.md).

# 88. Mutation: esporta ZonesMap come Shapefile compresso

Genera un archivio zip con la "ZonesMap" selezionata come shapefile.

{% hint style="info" %}
L'archivio è composto dai file \*.shp, \*.shx, \*.prj, \*.dbf in EPSG:4326.
{% endhint %}

### 1. Preparazione

* L'attributo `vectorAnalysisMaps` contiene un array di oggetti ZonesMaps (VectorAnalysisMaps) da esportare. Ciascun oggetto include una coppia di `fieldUuid` (collegamento al Field selezionato) e `uuid` (collegamento alla ZonesMap selezionata).
* L'attributo booleano `asMultiGeometry` determina se le zone vengono esportate come `Poligoni` o `MultiPoligoni` (quando impostato su `true` ).
* L'attributo booleano `onlyProductColumns` specifica se includere nello shapefile solo le colonne con prodotti (RX) (quando `true`). Altrimenti, tutte le statistiche e gli ID delle zone saranno inclusi come colonne.
* L'attributo `archiveName` contiene il nome dell'archivio zip generato.
* L'attributo `filePostfix` consente di aggiungere suffissi personalizzati ai file esportati e all'archivio.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Scaricare l'archivio generato

Dopo l'esecuzione della query GraphQL, è possibile scaricarlo usando `curl` o un approccio simile.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/88.-mutation-esporta-zonesmap-come-shapefile-compresso.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
